#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"
#include <stdio.h> // files
#include <io.h>

#include <stdlib.h>
#include <string.h>
#include <process.h>
#include <wchar.h>

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadarray();
	void doaway();
private:
	short c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15,c16;
	
	char *text_output;
   
	bool admin;
	
	unsigned long out1,out2;

	#define MAX_FILENAME_LENGTH 400

char path[MAX_FILENAME_LENGTH];
char full_path[MAX_FILENAME_LENGTH];
char smidi_filename[MAX_FILENAME_LENGTH];	
char text_filename[MAX_FILENAME_LENGTH];
char text[MAX_FILENAME_LENGTH];
char mess[MAX_FILENAME_LENGTH];

//SMIDI File out
errno_t err;
FILE *smidifileout;//  = NULL;

bool isnew ;
// diagnose
errno_t err2;
FILE *textfile;// = NULL;

#define PN_MIDI_IN  0

#define PN_1        1
#define PN_2        2
#define PN_3        3
#define PN_4        4
#define PN_5        5
#define PN_6        6
#define PN_7        7
#define PN_8        8
#define PN_9        9
#define PN_10       10
#define PN_11       11
#define PN_12       12
#define PN_13       13
#define PN_14       14
#define PN_15       15
#define PN_16       16

#define PN_MIDI_1   17
#define PN_MIDI_2   18
#define PN_MIDI_3   19
#define PN_MIDI_4   20
#define PN_MIDI_5   21
#define PN_MIDI_6   22
#define PN_MIDI_7   23
#define PN_MIDI_8   24
#define PN_MIDI_9   25
#define PN_MIDI_10   26
#define PN_MIDI_11   27
#define PN_MIDI_12   28
#define PN_MIDI_13   29
#define PN_MIDI_14   30
#define PN_MIDI_15   31
#define PN_MIDI_16   32

#define PN_TEXT_OUT 33

#define SYSTEM_MSG		        0xF0
#define NOTE_OFF                0x80
#define NOTE_ON                 0x90

struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};
};





#endif
